<?php
/*
 * Plugin Name: brt-cnt (for Wordpress)
 * Plugin URI: http://www.bitrokkertools.org
 * Description: This plugin counts the time up to a event. Use the shortcode syntax with paramter in your post, the promotext is optional.
 * Version: 1.0
 * Author: r.mundt
 * Author URI: http://www.bitrokkertools.org
 * License: GPLv3
 * Copyright (C) 2013
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

function InitCnt($datetime, $eventtext, $promotext)
{
	extract(shortcode_atts(array('datetime' => '', 'eventtext' => '', 'promotext' => ''), $datetime, $eventtext, $promotext));
		
	$style_url = WP_PLUGIN_URL . "/brt-cnt/CntStyle.css";
	$logic_url = WP_PLUGIN_URL . "/brt-cnt/CntLogic.js";	
	
	return '<link rel="stylesheet" type="text/css" href="' . $style_url . '" />
			<script type="text/javascript" src="' . $logic_url . '" ></script>
			<div class="CntLayout">
			<table border="0px" class="CntLayout">
			<tr class="CntHeader">
				<td colspan="2">TAG</td><td colspan="2">STUNDE</td>
				<td colspan="2">MINUTE</td><td colspan="2">SEKUNDE</td>
			</tr>
			<tr class="CntDisplay">
				<td id="BlockDay1"></td><td id="BlockDay2"></td>
				<td id="BlockHour1"></td><td id="BlockHour2"></td>
				<td id="BlockMinute1"></td><td id="BlockMinute2"></td>
				<td id="BlockSecond1"></td><td id="BlockSecond2"></td>
			</tr>			
			</table>
			</div>
			<script type="text/javascript" language="javascript">
				var EventDateTime = "' . $datetime . '";
				var EventText = "' . $eventtext . '";
				var PromoText = "' . $promotext . '";			   
				CntStart(EventDateTime, EventText, PromoText);    
			</script>';
}
add_shortcode('cnt', 'InitCnt');
?>